<?php
/**
 * @package         Ark Extension Manager
 * @version         4.3.1
 *
 * @author          Peter van Westen <peter@nonumber.nl>
 * @link            http://www.nonumber.nl
 * @copyright       Copyright © 2014 NoNumber All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

defined('_JEXEC') or die;

JHtml::_('bootstrap.framework');
JHtml::_('bootstrap.loadCss');
JHtml::_('behavior.tooltip');
JHtml::stylesheet('arkmanager/arkset.css', false, true);
?>
<style>

@font-face {
    font-family: "evolutionevolution";
    font-style: normal;
    font-weight: normal;
    src: url("../media/arkmanager/fonts/evolution_true_type_font_by_paulw-webfont.eot?#iefix") format("embedded-opentype"), url("../media/arkmanager/fonts/evolution_true_type_font_by_paulw-webfont.woff") format("woff"), url("../media/arkmanager/fonts/evolution_true_type_font_by_paulw-webfont.ttf") format("truetype"), url("../media/arkmanager/css/fonts/evolution_true_type_font_by_paulw-webfont.svg#evolutionevolution") format("svg");
}

@font-face {
    font-family: "rezregular";
    font-style: normal;
    font-weight: normal;
    src: url("../media/arkmanager/fonts/rez-webfont.eot?#iefix") format("embedded-opentype"), url("../media/arkmanager/fonts/rez-webfont.woff") format("woff"), url("../media/arkmanager/fonts/rez-webfont.ttf") format("truetype"), url("../media/arkmanager/fonts/rez-webfont.svg#rezregular") format("svg");
}

.logoa {
    color: #ffffff;
    font-family: evolutionevolution,helvetica;
    font-size: 55px;
    letter-spacing: 1px;
	padding-top:14px;
}

a.logoa:hover, a.logoa:focus {
	color :#ffffff;
}

span.brandinga {
    color: #0099cc;
    font-family: rezregular,helvetica;
    font-size: 131%;
	letter-spacing: 1px;
}

span.brandingr {
    font-size: 118%;
    letter-spacing: 1px;
}

span.ARKbrand{
    color: #000000;
    font-family: "Helvetica Neue",Helvetica;
    font-size: 23px;
}

.col-md-8 {
    width: 66.6667%;
}

.col-md-4 {
    width: 33.3333%;
}

.col-md-1 {
    width: 8.33333%;
}

.col-md-1, .col-md-2, .col-md-3, .col-md-4, .col-md-5, .col-md-6, .col-md-7, .col-md-8, .col-md-9, .col-md-10, .col-md-11 {
    float: left;
}

.col-xs-1, .col-sm-1, .col-md-1, .col-lg-1, .col-xs-2, .col-sm-2, .col-md-2, .col-lg-2, .col-xs-3, .col-sm-3, .col-md-3, .col-lg-3, .col-xs-4, .col-sm-4, .col-md-4, .col-lg-4, .col-xs-5, .col-sm-5, .col-md-5, .col-lg-5, .col-xs-6, .col-sm-6, .col-md-6, .col-lg-6, .col-xs-7, .col-sm-7, .col-md-7, .col-lg-7, .col-xs-8, .col-sm-8, .col-md-8, .col-lg-8, .col-xs-9, .col-sm-9, .col-md-9, .col-lg-9, .col-xs-10, .col-sm-10, .col-md-10, .col-lg-10, .col-xs-11, .col-sm-11, .col-md-11, .col-lg-11, .col-xs-12, .col-sm-12, .col-md-12, .col-lg-12 {
    min-height: 1px;
    padding-left: 15px;
    padding-right: 15px;
    position: relative;
}

.well {
    background-color: #f5f5f5;
    border: 1px solid #e3e3e3;
    border-radius: 4px;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.05) inset;
    margin-bottom: 20px;
    min-height: 20px;
    padding: 19px;
}

.row {
    margin-left: -15px;
    margin-right: -15px;
}

.info-rounds {
    padding: 7% 0;
}

.pull-right {
    float: right
}

.btn-lg {
    border-radius: 6px;
    font-size: 18px;
    line-height: 1.33;
    padding: 10px 16px;
}

.btn {
    padding: 5px 20px !important;
}

.top {
    background: none repeat 0 0 #26292c;
    color: #8b8e94;
    padding: 35px;
}


div.ARKbrand span.brandinga {
    font-size: 233%;
}

.info-rounds {
	font-size:14px;
}


.ark.container {
	padding:20px;	
}	

</style>

<div class="well clearfix top">
	<a href="http://www.arkestensions.com" target="_blank" style="text-decoration: none;" class="logoa pull-left">
		<span class="brandinga">A</span><span class="brandingr">R</span>K 
		<span class="ARKbrand" style="color:#8b8e94; font-size:30px; margin:10px 0 0 0px; ">Extension Manager</span>
	</a>
	<span class="pull-right col-md-1 hidden-phone">
		<a id="exitinstaller" class="btn btn-lg" href="<?php echo $this->exitUrl; ?>"><?php echo JText::_('JEXIT'); ?></a>
	</span>
</div>

<div class="ark container">

	<?php if(isset($this->error)):?>
	<?php echo $this->error; ?>
	<?php else:?>
	<!-- installation steps -->
	<div class="row">
		<div class="info-rounds">
			Welcome to the ArK Extension Manager Installer.
			<br/><br/>
			This Installer allows you to easily install your favourite ARK extensions in just one click.  All that is required beforehand is to login to our site so we can obtain your subscription information. Alternatively you can click the ‘Install Free Extensions’ buttons if just only want to install the free versions of our Ark Extensions. 
			<br/><br/>
			Please note that the free versions of our extensions only contain the basic functions that are required to make it work. If you require more functionality please log on to ArkExtensions to get a subscription to enjoy the full experience of using an Ark Extension.
		</div>
	</div>
	
	<div class="clearfix col-xs-10 col-xs-offset-1">
		<form id="adminForm" class="adminForm" name="adminForm" method="post" action="index.php?option=com_arkmanager">
			<div id="ppinstallerCredential" class="form-inline">
				<div class="alert alert-danger hide" id="CredentialError"></div>
				<div class=" clearfix well">
					<span class="col-xs-12 col-md-5">
						<span class="col-md-8">Already have a subscription, please log in here:</span>
							<button class="btn btn-primary"
							data-loading-text="verifying..."
							data-complete-text="Install Payplans <?php echo 'Install'; ?>"
							title="Payplans <?php echo 'Install/upgrade'; ?>" 
							onclick="document.adminForm.action='<?php echo JURI::getInstance()->getScheme();?>://arkextensions.com/index.php?option=com_users&view=login';document.adminForm.submit();"
							id ="arkmanager_submit_button">
							<?php echo JText::_('Login'); ?>
						</button>
					</span>	
					<span class="col-xs-6 col-md-4">
						<!-- disabled="true" -->
						<span class="col-md-1" >Or</span>
						<button class="btn"
							data-loading-text="verifying..."
							data-complete-text="Install Payplans <?php echo 'Install'; ?>"
							title="Free <?php echo 'Install/downgrade' ?>" 
							onclick="document.adminForm.submit();"
							id ="arkmanager_submit_button"><strong><?php echo JText::_('Install Free Extenstions'); ?></strong></button>
					</span>
				</div>
			</div>
			<input type="hidden" value="nonpro" name="task">
		</form>
	</div>		
	<?php endif; ?>
</div>


<div class="text-center ARKbrand" style="margin-top : 100px;color:#8b8e94;" >
		<span class="brandinga">A</span><strong><?php echo JText::_('COM_ARKMANAGER'); ?></strong>
</div>