<?php
/**
 * @package         NoNumber Extension Manager
 * @version         4.3.1
 *
 * @author          Peter van Westen <peter@nonumber.nl>
 * @link            http://www.nonumber.nl
 * @copyright       Copyright © 2014 NoNumber All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

defined('_JEXEC') or die;

jimport('joomla.application.component.view');

/**
 * View class for default list view
 */
class ARKManagerViewInstructions extends JViewLegacy
{

	
	/**
	 * Display the view
	 */
	public function display($tpl = null)
	{
		if(!$this->checkUserToken()) //If user already has a token skip this page
		{
			$this->addToolbar();
			$this->exitUrl = JURI::base();
			parent::display($tpl);
		}	
	}

	/**
	 * Add the page title and toolbar
	 */
	protected function addToolbar()
	{
		$canDo = $this->getActions();

		JFactory::getDocument()->setTitle(JText::_('COM_ARKMANAGER'));

		JToolbarHelper::title(JText::_('COM_ARKMANAGER'), 'arkmanager icon-nonumber');
		
		
		$bar = JToolbar::getInstance('toolbar');
		
		$html = '
			</div>
			<div class="btn-wrapper hidden-tablet hidden-desktop">
				<button class="btn btn-small" onclick="window.location=\''.JURI::base().'\'">
					<span class="icon-home"></span>	'.JText::_('JEXIT').'
				</button>';	
		$bar->appendButton('Custom', $html);
	}

	/**
	 * Gets a list of the actions that can be performed.
	 */
	public static function getActions()
	{
		$user = JFactory::getUser();
		$result = new JObject;
		$assetName = 'com_arkmanager';

		$actions = array(
			'core.admin', 'core.manage'
		);

		foreach ($actions as $action) {
			$result->set($action, $user->authorise($action, $assetName));
		}

		return $result;
	}
	
	private function checkUserToken()
	{
		
        $app = JFactory::getApplication();
        
        if($key = $app->input->get('usertoken',false))
		{
			$config = JComponentHelper::getParams('com_arkmanager');
			$row = JTable::getInstance('extension');
			$row->load(array('element'=>'com_arkmanager'));
			$config->set('key',$key);
			$row->save(array('params'=>$config->toArray()));	
			$app->setuserState('com_arkmanager.usertoken',$app->input->get('usertoken'));
            $app->redirect('index.php?option=com_arkmanager');
			return true;
		}	
		return false;	
	}
}